#### D.14.2.13 from_boolean_ideal

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_ideal(I); I boolean ideal

Return:
  ideal in Singular

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring rs=0,(x,y,z),Dp;
    def rb3=boolean_poly_ring(rs);
    poly f1=x+y;
    poly f2=x+z;
    bpoly pp =f1;
    bpoly p = f2;
    bideal Ib;
    list K=(p,pp);
    Ib=K;
    from_boolean_ideal(Ib);
    ==> _[1]=x+z
    ==> _[2]=x+y
    ring rs2=5,(x,y,z),Dp;
    def rb4=boolean_poly_ring(rs2);
    poly p1=x+y;
    poly p2=x+z;
    poly p3=y+z;
    bpoly p = p1;
    ==> // ** redefining p **
    bpoly pp = p2;
    ==> // ** redefining pp **
    bpoly ppp = p3;
    bideal Ib;
    ==> // ** redefining Ib **
    list K=(p,pp,ppp);
    ==> // ** redefining K **
    Ib=K;
    from_boolean_ideal(Ib);
    ==> _[1]=x+y
    ==> _[2]=x+z
    ==> _[3]=y+z

See also: boolean_ideal; boolean_poly; boolean_poly_ring; boolean_std; from_boolean_poly.

User manual for Singular version 4-0-3, 2016, generated by texi2html.